package com.bcxin.backend.service;

import java.util.List;

/**
 * description: 背筛service
 * author: linchunpeng
 * date:  2023-07-12 18:28
 */
public interface BgScreeningService {


    /**
     * description: 执行新入职背筛
     * author: linchunpeng
     * date:  2023-07-14 9:35
     */
    void runNewRecruit();

    /**
     * description: 执行定期背筛
     * author: linchunpeng
     * date:  2023-07-14 9:35
     */
    void runIntervals();

    /**
     * description: 执行手动背筛
     * author: linchunpeng
     * date:  2023-07-14 9:40
     */
    void runManual(List<String> bgUserIdnumList);
}
